Loading...
Searching...
No Matches
websocketpp::extensions::permessage_deflate::error Namespace Reference

Permessage deflate error values. More...

## Classes

class | category
| Permessage-deflate error category. More...

## Enumerations

enum | value { general = 1 , invalid_attributes , invalid_attribute_value , invalid_mode , unsupported_attributes , invalid_max_window_bits , zlib_error , uninitialized }

## Functions

lib::error_category const & | get_category ()
| Get a reference to a static copy of the permessage-deflate error category.
lib::error_code | make_error_code (error::value e)
| Create an error code in the permessage-deflate category.

## Detailed Description

Permessage deflate error values.

## Enumeration Type Documentation

## value

enum websocketpp::extensions::permessage_deflate::error::value

Enumerator
general | Catch all.
invalid_attributes | Invalid extension attributes.
invalid_attribute_value | Invalid extension attribute value.
invalid_mode | Invalid megotiation mode.
unsupported_attributes | Unsupported extension attributes.
invalid_max_window_bits | Invalid value for max_window_bits.
zlib_error | ZLib Error.
uninitialized | Uninitialized.

Definition at line 92 of file enabled.hpp.

## Function Documentation

## get_category()

lib::error_category const & websocketpp::extensions::permessage_deflate::error::get_category | ( |  | ) |

inline

Get a reference to a static copy of the permessage-deflate error category.

Definition at line 152 of file enabled.hpp.

## make_error_code()

lib::error_code websocketpp::extensions::permessage_deflate::error::make_error_code | ( | error::value | e | ) |

inline

Create an error code in the permessage-deflate category.

Definition at line 158 of file enabled.hpp.